import { baseAPI } from '@/shared/api/base-api';

import { CorporateInfoResponse } from '../model/types/corporate-client-info.type';

export const corporateApi = baseAPI.injectEndpoints({
  endpoints: (builder) => ({
    fetchMyCorporateInfo: builder.query<CorporateInfoResponse, any>({
      query: () => {
        return {
          url: '/corporate/info',
        };
      },
    }),
  }),
});

export const { useFetchMyCorporateInfoQuery } = corporateApi;
